<!doctype html>
<html ng-app="photoGalleryApp">
<head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="css/styles.css">
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.3.11/angular.min.js"></script>
    <script src="js/app.js"></script>
    <script src="js/controllers/mainController.js"></script>
    <script src="js/filters/customFilters.js"></script>
    <script src="js/directives/customDirectives.js"></script>
</head>
<body ng-controller="mainController">
    <div class="container">
        <h1>{{title}}</h1>
        <form name="photoForm" ng-submit="addPhoto()">
            <input type="text" ng-model="newPhoto.url" required placeholder="URL фотографії" class="form-control">
            <input type="text" ng-model="newPhoto.title" required placeholder="Назва" class="form-control">
            <input type="text" ng-model="newPhoto.description" required placeholder="Опис" class="form-control">
            <button type="submit" class="btn btn-primary">Додати</button>
        </form>
        <div ng-switch on="viewMode">
            <div ng-switch-when="list">
                <ng-include src="'templates/photoList.html'"></ng-include>
            </div>
            <div ng-switch-when="grid">
                <div class="grid-container">
                    <div class="grid-item" ng-repeat="photo in photos | filter:search | orderBy:sortType:sortReverse">
                        <img ng-src="{{photo.url}}" alt="{{photo.title}}">
                        <h3>{{photo.title}}</h3>
                        <p>{{photo.description}}</p>
                        <button ng-click="removePhoto($index)" class="btn btn-danger">Видалити</button>
                    </div>
                </div>
            </div>
        </div>
        <button ng-click="toggleView()" class="btn btn-secondary">Переключити вигляд</button>
        <div>
            <input type="text" ng-model="search" placeholder="Пошук" class="form-control">
            <button ng-click="sortType = 'title'; sortReverse = !sortReverse" class="btn btn-info">Сортувати за назвою</button>
        </div>
    </div>
</body>
</html>